明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1259|回复: 1

如何知道一条polyline有多少点呀?

[复制链接]
发表于 2006-11-4 10:53:00 | 显示全部楼层 |阅读模式

Sub getpolyline()

    Dim i, n As Integer
   
    'Dim newObjs As AcadPolyline
    Dim newObjs As AcadLWPolyline   'Object drawed by pline command under version 2006

    Dim retCoord As Variant
    Dim points(500) As Double

 
  n = ThisDrawing.ModelSpace.Count

  For i = 0 To n - 1
     
      If ThisDrawing.ModelSpace.Item(i).ObjectName = "AcDbPolyline" Then
     
         Set newObjs = ThisDrawing.ModelSpace.Item(i)
         'newObjs怎么老是空的?下面的结果老不对


         ' Return all the coordinates of the polyline
         retCoord = newObjs.Coordinates
        
         mynpoint = (UBound(retCoord) + 1) / 3
         
        '.......

         
      End If
     
  Next i
  
  MsgBox "Good on ya!"
 
End Sub

 楼主| 发表于 2006-11-4 11:42:00 | 显示全部楼层
把mynpoint = (UBound(retCoord) + 1) / 3中的除3改成除2,结果好像对了。我还以为定点存的是x,y,z三个坐标呢。3dpoly应该是x,y,z了吧。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 22:32 , Processed in 0.180732 second(s), 30 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表